Find 25.1
Find Administration Guide

# Use Profiles to Provide User-Specific Content

You can configure Find to save and update profiles for your users in the Community component. These profiles store information about the kinds of documents that the user views in Find. You can use this information to:

- provide user-specific recommendations based on the profiles. For this option, you must enable profiles, and enable the My Recommendations tab in Find, which displays documents that are relevant to a user's profiles. See Change the Result Tabs.
- sort documents in a query result list according to their relevance to the user's profile. For this option, you must use Query Manipulation Server (QMS), and enable intent-based ranking.

You configure user profiles in the Find `config.json` configuration file, by adding a profile object to the `uiCustomization` section.

To configure user profiles

1. Go to the Find home directory.
2. Open `config.json` in a text editor.

3. Find the `uiCustomization` section, and find or create the `profile` object.

4. In the profile object, add or update the settings for your user profiles. The following table describes the available properties. To enable user profiles in Find you must set `updateProfileOnView` to `true`.

   `intentBasedRanking` | (Boolean) A Boolean value that controls whether to enable intent-based ranking. This option has an effect only if you use QMS. Set `intentBasedRanking` to `true` to display a checkbox in the Find UI that allows users to sort results with intent-based ranking. When the user selects this option, Find uses QMS to order the results according to user preferences. The default value is `false`.
   `highlightTerms` | (Boolean) A Boolean value that specifies whether to highlight terms that occur in a user's profile in the results that Find includes on the My Recommendations tab. Set `highlightTerms` to `false` if you do not want to highlight the terms that are associated with the user profiles in the recommended documents. The default value is `true`. This option has an effect only if you configure the My Recommendations tab. See Change the Result Tabs.
   `maxProfiles` | (Integer) The maximum number of profiles to use to get results for the My Recommendations tab (the Community component stores different user interests as multiple profiles). The default value is 3. This option has an effect only if you configure the My Recommendations tab. See Change the Result Tabs.
   `maxResultsPerProfile` | (Integer) The maximum number of results for each user profile to show on the My Recommendations tab. The default value is 2. If a document returns as a result for more than one profile, Find displays it only once. This option has an effect only if you configure the My Recommendations tab. See Change the Result Tabs.
   `maxTerms` | (Integer) The number of terms from a profile to use in profile searches. The Community component builds profiles from a weighted list of terms that occur in documents that the user views, and Find uses this term list to find related documents to recommend. The default value is 30.
   `updateProfileOnView` | (Boolean) A Boolean value that specifies whether to update the profiles for a user when the user opens a document for viewing. Set `updateProfileOnView` to `true` to enable user profiles. The default value is `false`.

   For example:

       "uiCustomization": {
          "profile": {
             "intentBasedRanking": true,
             "highlightTerms": true,
             "maxProfiles": 3,
             "maxResultsPerProfile": 2,
             "maxTerms": 30,
             "updateProfileOnView": true
          }
       }

5. Save the file, and then restart Find to apply your configuration changes.

Copyright 2015-2024 Open Text
Version 25.1 | Last updated January 2025

Send documentation feedback

Close

Send documentation feedback

To send feedback using your default email client, open an email window.

Otherwise, send your feedback and the information below to MFI-swpdl.idoldocsfeedback@opentext.com.

We appreciate your feedback!

Product: Knowledge Discovery Find 25.1

Topic Title: Use Profiles to Provide User-Specific Content